<?php

namespace Colissimo;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'getLabel' => '\\Colissimo\\StructType\\GetLabel',
            'getLabelRequest' => '\\Colissimo\\StructType\\GetLabelRequest',
            'getLabelResponse' => '\\Colissimo\\StructType\\GetLabelResponse',
            'GetLabelResponseType' => '\\Colissimo\\StructType\\GetLabelResponseType',
            'baseResponse' => '\\Colissimo\\StructType\\BaseResponse',
            'message' => '\\Colissimo\\StructType\\Message',
            'generateBordereauByParcelsNumbers' => '\\Colissimo\\StructType\\GenerateBordereauByParcelsNumbers',
            'generateBordereauParcelNumberList' => '\\Colissimo\\StructType\\GenerateBordereauParcelNumberList',
            'generateBordereauByParcelsNumbersResponse' => '\\Colissimo\\StructType\\GenerateBordereauByParcelsNumbersResponse',
            'bordereauResponse' => '\\Colissimo\\StructType\\BordereauResponse',
            'bordereau' => '\\Colissimo\\StructType\\Bordereau',
            'bordereauHeader' => '\\Colissimo\\StructType\\BordereauHeader',
            'generateCN23' => '\\Colissimo\\StructType\\GenerateCN23',
            'generateCN23Request' => '\\Colissimo\\StructType\\GenerateCN23Request',
            'typeLetter' => '\\Colissimo\\StructType\\TypeLetter',
            'service' => '\\Colissimo\\StructType\\Service',
            'parcel' => '\\Colissimo\\StructType\\Parcel',
            'customsDeclarations' => '\\Colissimo\\StructType\\CustomsDeclarations',
            'contents' => '\\Colissimo\\StructType\\Contents',
            'article' => '\\Colissimo\\StructType\\Article',
            'category' => '\\Colissimo\\StructType\\Category',
            'original' => '\\Colissimo\\StructType\\Original',
            'sender' => '\\Colissimo\\StructType\\Sender',
            'addressee' => '\\Colissimo\\StructType\\Addressee',
            'uploadDocument' => '\\Colissimo\\StructType\\UploadDocument',
            'typeAdresse' => '\\Colissimo\\StructType\\TypeAdresse',
            'typeFields' => '\\Colissimo\\StructType\\TypeFields',
            'field' => '\\Colissimo\\StructType\\Field',
            'generateCN23Response' => '\\Colissimo\\StructType\\GenerateCN23Response',
            'GenerateCN23V2ResponseType' => '\\Colissimo\\StructType\\GenerateCN23V2ResponseType',
            'getBordereauByNumber' => '\\Colissimo\\StructType\\GetBordereauByNumber',
            'getBordereauByNumberResponse' => '\\Colissimo\\StructType\\GetBordereauByNumberResponse',
            'getListMailBoxPickingDates' => '\\Colissimo\\StructType\\GetListMailBoxPickingDates',
            'GetListMailBoxPickingDatesRetourRequest' => '\\Colissimo\\StructType\\GetListMailBoxPickingDatesRetourRequest',
            'getListMailBoxPickingDatesResponse' => '\\Colissimo\\StructType\\GetListMailBoxPickingDatesResponse',
            'GetListMailBoxPickingDatesResponseType' => '\\Colissimo\\StructType\\GetListMailBoxPickingDatesResponseType',
            'generateLabelService' => '\\Colissimo\\StructType\\GenerateLabelService',
            'arg1' => '\\Colissimo\\StructType\\Arg1',
            'typeOutputFormat' => '\\Colissimo\\StructType\\TypeOutputFormat',
            'generateLabelServiceResponse' => '\\Colissimo\\StructType\\GenerateLabelServiceResponse',
            'GenerateLabelV2ResponseType' => '\\Colissimo\\StructType\\GenerateLabelV2ResponseType',
            'xmlV2Response' => '\\Colissimo\\StructType\\XmlV2Response',
            'xmlResponse' => '\\Colissimo\\StructType\\XmlResponse',
            'belgiumLabel' => '\\Colissimo\\StructType\\BelgiumLabel',
            'codeVAS' => '\\Colissimo\\StructType\\CodeVAS',
            'returnAddressBelgium' => '\\Colissimo\\StructType\\ReturnAddressBelgium',
            'elementVisual' => '\\Colissimo\\StructType\\ElementVisual',
            'pickupLocation' => '\\Colissimo\\StructType\\PickupLocation',
            'addressPickupLocation' => '\\Colissimo\\StructType\\AddressPickupLocation',
            'routing' => '\\Colissimo\\StructType\\Routing',
            'site' => '\\Colissimo\\StructType\\Site',
            'addressPCH' => '\\Colissimo\\StructType\\AddressPCH',
            'swissLabel' => '\\Colissimo\\StructType\\SwissLabel',
            'zoneRouting' => '\\Colissimo\\StructType\\ZoneRouting',
            'zoneCABRoutage' => '\\Colissimo\\StructType\\ZoneCABRoutage',
            'zoneInfosRoutage' => '\\Colissimo\\StructType\\ZoneInfosRoutage',
            'labelV2Response' => '\\Colissimo\\StructType\\LabelV2Response',
            'labelResponse' => '\\Colissimo\\StructType\\LabelResponse',
            'generateCN23Service' => '\\Colissimo\\StructType\\GenerateCN23Service',
            'generateCN23ServiceResponse' => '\\Colissimo\\StructType\\GenerateCN23ServiceResponse',
            'generateLabel' => '\\Colissimo\\StructType\\GenerateLabel',
            'generateLabelRequest' => '\\Colissimo\\StructType\\GenerateLabelRequest',
            'generateLabelResponse' => '\\Colissimo\\StructType\\GenerateLabelResponse',
            'planPickup' => '\\Colissimo\\StructType\\PlanPickup',
            'planPickupRequest' => '\\Colissimo\\StructType\\PlanPickupRequest',
            'typePlanPickupSender' => '\\Colissimo\\StructType\\TypePlanPickupSender',
            'planPickupResponse' => '\\Colissimo\\StructType\\PlanPickupResponse',
            'planPickupResponseType' => '\\Colissimo\\StructType\\PlanPickupResponseType',
            'generateBordereauByParcelsNumbersService' => '\\Colissimo\\StructType\\GenerateBordereauByParcelsNumbersService',
            'arg3' => '\\Colissimo\\StructType\\Arg3',
            'generateBordereauByParcelsNumbersServiceResponse' => '\\Colissimo\\StructType\\GenerateBordereauByParcelsNumbersServiceResponse',
            'generateToken' => '\\Colissimo\\StructType\\GenerateToken',
            'generateTokenRequest' => '\\Colissimo\\StructType\\GenerateTokenRequest',
            'generateTokenResponse' => '\\Colissimo\\StructType\\GenerateTokenResponse',
            'GenerateTokenV2ResponseType' => '\\Colissimo\\StructType\\GenerateTokenV2ResponseType',
            'tokenV2Response' => '\\Colissimo\\StructType\\TokenV2Response',
            'tokenResponse' => '\\Colissimo\\StructType\\TokenResponse',
            'checkGenerateLabel' => '\\Colissimo\\StructType\\CheckGenerateLabel',
            'checkGenerateLabelRequest' => '\\Colissimo\\StructType\\CheckGenerateLabelRequest',
            'checkGenerateLabelResponse' => '\\Colissimo\\StructType\\CheckGenerateLabelResponse',
            'CheckGenerateLabelResponseType' => '\\Colissimo\\StructType\\CheckGenerateLabelResponseType',
            'getListMailBoxPickingDatesService' => '\\Colissimo\\StructType\\GetListMailBoxPickingDatesService',
            'getListMailBoxPickingDatesServiceResponse' => '\\Colissimo\\StructType\\GetListMailBoxPickingDatesServiceResponse',
            'getProductInter' => '\\Colissimo\\StructType\\GetProductInter',
            'GetProductInterRequest' => '\\Colissimo\\StructType\\GetProductInterRequest',
            'getProductInterResponse' => '\\Colissimo\\StructType\\GetProductInterResponse',
            'GetProductInterResponseType' => '\\Colissimo\\StructType\\GetProductInterResponseType',
        );
    }
}
